<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.platform.mapper.UserCardInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="userCardInfoResultMap" type="org.springblade.modules.platform.entity.UserCardInfo">
        <id column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="is_auth" property="isAuth"/>
        <result column="id_card" property="idCard"/>
        <result column="true_name" property="trueName"/>
        <result column="positive_url" property="positiveUrl"/>
        <result column="negative_url" property="negativeUrl"/>
        <result column="create_time" property="createTime"/>
    </resultMap>


    <select id="selectUserCardInfoPage" resultMap="userCardInfoResultMap">
        select * from t_user_card_info where is_deleted = 0
    </select>

</mapper>
